Bug 231360 - up2date cannot install updated package for x86 version of firefox installed on 64-bit rhel
up2date cannot install updated package for x86 version of firefox installed o...
Status: CLOSED DUPLICATE of bug 231350
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Beth Nackashi
:
Depends On: 231350
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-07 15:56 EST by Máirín Duffy
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 16:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-03-07 15:56:11 EST
+++ This bug was initially created as a clone of Bug #231350 +++

Description of problem:

Running 64-bit version on RHEL (4.5 kernel but redhat-release 4u4) with x86
version of firefox installed. System is registered to prod, which right now is
running 416.

up2date-4.4.69-25
firefox.1.5.0.9-0.1.el4

https://rhn.redhat.com/errata/RHSA-2007-0079.html, which is in prod, makes
available firefox.1.5.0.10-0.1.el4. The rhn applet as well as the rhn webui
indicate that this updated package is available. However, running up2date on the
system indicates that firefox is already up2date. Also, scheduling the update to
.10 via the webui seems to work, but once rhn_check is run on the system you get:

'The following packages you requested are already updated:
firefox'

 'rpm -qa --qf "%{name}-%{version}-%{release}.%{arch}\n" | grep fire' on the
system returns firefox-1.5.0.9-0.1.el4.i386

on a system running 64-bit rhel with 64-bit firefox, 

'up2date --arch=i386 firefox' results in 'The following packages you requested
are already updated: and then lists firefox on the next line.'

'If I run just "up2date -u --arch=i386", it lists a ton of rpms and
interestingly, firefox is not one of them.'
Comment 1 Pradeep Kilambi 2007-03-15 16:59:45 EDT

*** This bug has been marked as a duplicate of 231350 ***

Note You need to log in before you can comment on or make changes to this bug.